%define version 1.3.0
%define release 1mdk
%define perl_sitelib %(eval "`perl -V:installsitelib`"; echo $installsitelib)
%define durl http://www.cpan.org/authors/id/A/AR/ARENSB
%define rname p5-Palm
%define name perl-%{rname}

Summary: Modules for reading manipulating, and writing .pdb and .prc database
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{durl}/%{rname}-%{version}.tar.bz2
License: GPL
Group: Development/Perl
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Url: http://www.ooblick.com/software/coldsync/
Buildarch: noarch

%description
This is p5-Palm, a set of Perl 5 modules for reading, manipulating,
and writing the .pdb and .prc database files used by PalmOS devices
such as the PalmPilot and its successors.

%prep
%setup -q -n %{rname}-1.003_000

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
%{__make}
perl test.pl

%install
rm -rf $RPM_BUILD_ROOT

%{__make} PREFIX=%{buildroot}/%{_prefix} install

rm -rf $RPM_BUILD_ROOT%_libdir/perl5/site_perl/5.8.0/i386-linux-thread-multi/perllocal.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README TODO
%{_bindir}/*
%{perl_vendorlib}/Palm
%_mandir/man1/*
%_mandir/man3pm/*

%changelog
* Sun Feb 09 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.0-1mdk
- 1.3.0
- use perl macros for build

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-2mdk
- rebuild

* Thu Jan 10 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.4-1mdk
- First release.

